Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.personservice.protocol.v1
Class SearchPersonPhoneticallyRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.rn.personservice.protocol.v1.SearchPersonPhoneticallyRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:55:17+02:00",
               comments="JAXB RI v2.2.11")
    public class SearchPersonPhoneticallyRequest

extends RequestType
implements Serializable

Type defining the criteria comprised in the request type for the searchPhonetic operation of the Person Service

Java class for SearchPersonPhoneticallyRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchPersonPhoneticallyRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ApplicationId" type="{urn:be:fgov:ehealth:rn:commons:v1}ApplicationIdType"/>
             <element name="Criteria" type="{urn:be:fgov:ehealth:rn:personservice:core:v1}SearchPersonPhoneticallyCriteriaType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SearchPersonPhoneticallyRequest()`

Method Summary
`String` | `getApplicationId()` Gets the value of the applicationId property.
`SearchPersonPhoneticallyCriteriaType` | `getCriteria()` Gets the value of the criteria property.
`void` | `setApplicationId(String value)` Sets the value of the applicationId property.
`void` | `setCriteria(SearchPersonPhoneticallyCriteriaType value)` Sets the value of the criteria property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchPersonPhoneticallyRequest

    public SearchPersonPhoneticallyRequest()

Method Detail

### getApplicationId

    public String getApplicationId()

  Gets the value of the applicationId property.

  Returns:
    possible object is `String`

### setApplicationId

    public void setApplicationId(String value)

  Sets the value of the applicationId property.

  Parameters:
    `value` - allowed object is `String`

### getCriteria

    public SearchPersonPhoneticallyCriteriaType getCriteria()

  Gets the value of the criteria property.

  Returns:
    possible object is `SearchPersonPhoneticallyCriteriaType`

### setCriteria

    public void setCriteria(SearchPersonPhoneticallyCriteriaType value)

  Sets the value of the criteria property.

  Parameters:
    `value` - allowed object is `SearchPersonPhoneticallyCriteriaType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.